:
# NAME:
#	config_reboot.sh - reboot if needed
#
# DESCRIPTION:
#	This is the module that actions "REBOOT_LIST" (default
#	'tmp/REBOOT') if required.
#
# SEE ALSO:
#	install_files(8), config_setup.sh(8), remove_files(8), set_perms(8)
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>
#

# RCSid:
#	$Id: config_reboot.sh,v 1.16 2001/12/10 21:49:40 sjg Exp $
#
#	@(#) Copyright (c) 1995 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

. $Mydir/config_funcs.sh

REBOOT=${REBOOT:-`Which reboot $PATH:/usr/etc:/etc`}

if [ -s $CHANGE_LIST ]; then
        echo See $CHANGE_LIST for list of changes.
fi
if [ -s $REBOOT_LIST ]; then
	echo The following important files were updated:
	echo
	cat $REBOOT_LIST
	echo
	echo As a result, the host should be rebooted.

	if [ "x$DESTDIR" = x ]; then
		ask a "Reboot now? [y]"
	else
		a=n
	fi
	
	case "$a" in
	""|[yY]*)
		$Mydir/config_cleanup
		[ "$REBOOT" ] && $DOIT $REBOOT || $DOIT shutdown -r now
		;;
	esac
fi
rm -f $REBOOT_LIST
